List accounts
Returns the organization's connected provider accounts, newest first. Request: GET /v1/accounts. Scope: agents:read.
GET
Returns the organization's connected provider accounts, newest first.
apiKeyheader
x-api-key<token>IntegrationAccountList
application/json- response
items*array<>import { createClient } from "samva";
const samva = createClient({ apiKey: process.env.SAMVA_API_KEY! });
const result = await samva.accounts.list({});Example Response
{
"items": [
{
"provider": "string",
"input": {
"property1": "string",
"property2": "string"
},
"id": "string",
"webhooks": [
{
"app": "string",
"url": "string",
"events": [
"string"
],
"signatureHeader": "string",
"deliveryIdHeader": "string",
"secretSetup": "string"
}
],
"status": "pending",
"info": {
"externalId": "string",
"displayName": "string",
"email": "string",
"verifiedEmail": "string",
"timeZone": "string"
},
"grantedScopes": [
"string"
],
"connectedBy": "string",
"connectedAt": "string",
"createdAt": "string",
"updatedAt": "string"
}
]
}